package org.eBide.model;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToOne;

@Entity
public class Bid {

	// ---------- Private attributes -----------
	private int id;
	private User bidder;
	private Product product;
	private int amount;
	
	// ---------- Constructors -----------------
	public Bid() {}

	public Bid(int amount, Product p, User u) {
		this.amount = amount;
		this.bidder = u;
		this.product = p;
	}

	// ---------- Getters and Setters ----------
	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	
	@OneToOne
	public User getBidder() {
		return bidder;
	}
	public void setBidder(User user) {
		this.bidder = user;
	}
	@OneToOne
	public Product getProduct() {
		return product;
	}
	public void setProduct(Product product) {
		this.product = product;
	}
	public int getAmount() {
		return amount;
	}
	public void setAmount(int amount) {
		this.amount = amount;
	}
}
