package org.eBide.model;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Set;

import javax.persistence.*;

/** Implementation of an User.
 * This entity bean represents the average user of the application.
 */
@Entity
public class User implements Serializable {

	private static final long serialVersionUID = 7092644426680174942L;
	// ---------- Private attributes -----------
	private String name;
	private String firstName;
	private Date birthdate;
	private String civility;
	private String address;
	private String city;
	private String zipCode;
	private String country;
	private String login;
	private String password;
	private String mail;

	//	private List<Account> accounts;

	private List<Product> sells;
	private Set<Bid> bids;	
	//	private Byte[] photo;

	// ---------- Constructors -----------------
	// Mandatory for Entity Bean
	public User() {}
	public User(String name, String firstName, Date birthdate, String civility,
			String address, String city, String zipCode, String country, String loggin,
			String password, String mail) {
		this.name = name;
		this.firstName = firstName;
		this.birthdate = birthdate;
		this.civility = civility;
		this.address = address;
		this.city = city;
		this.zipCode = zipCode;
		this.country = country;
		this.login = loggin;
		this.password = password;
		this.mail = mail;
	}
	// ---------- Getters and Setters ----------
	@Id
	public String getLogin() {
		return login;
	}
	public void setLogin(String loggin) {
		this.login = loggin;
	}

	@Column(nullable=false)
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}

	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getFirstName() {
		return firstName;
	}
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getZipCode() {
		return zipCode;
	}
	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}
	public String getCountry() {
		return country;
	}
	public void setCountry(String country) {
		this.country = country;
	}
	public String getMail() {
		return mail;
	}
	public void setMail(String mail) {
		this.mail = mail;
	}
	public void setBirthdate(Date birthdate) {
		this.birthdate = birthdate;
	}
	@Temporal(TemporalType.DATE)
	public Date getBirthdate() {
		return birthdate;
	}
	public void setCivility(String civility) {
		this.civility = civility;
	}
	public String getCivility() {
		return civility;
	}
	public void setCity(String city) {
		this.city = city;
	}
	public String getCity() {
		return city;
	}
	
	
//	@OneToMany(cascade=CascadeType.ALL, fetch=FetchType.EAGER)
//	public List<Account> getAccounts() {
//		return accounts;
//	}
//	public void setAccounts(List<Account> accounts) {
//		this.accounts = accounts;
//	}
//	public void addAccount(Account account) {
//		accounts.add(account);
//	}
//	
	@OneToMany(fetch=FetchType.EAGER)
	public List<Product> getSells() {
		return sells;
	}
	public void setSells(List<Product> sells) {
		this.sells = sells;
	}
	public void addSell(Product product) {
		sells.add(product);
	}
	@OneToMany(fetch=FetchType.EAGER)
	public Set<Bid> getBids() {
		return bids;
	}
	public void setBids(Set<Bid> bids) {
		this.bids = bids;
	}
	public void addBid(Bid b) {
		bids.add(b);
	}
	
//	@Lob
//	public Byte[] getPhoto() {
//		return photo;
//	}
//	public void setPhoto(Byte[] photo) {
//		this.photo = photo;
//	}

}
