package org.eBide.sessions;

import java.util.List;

import javax.ejb.Remote;

import org.eBide.model.*;

@Remote
public interface ManageBidRemote {
	
	/** Bid on product from user.
	 * 
	 * @param amount The amount of the bid.
	 * @param p The product to bid on.
	 * @param u The user who bids
	 * @return The bid created
	 */
	public Bid addBid(int amount, Product p, User u);
	
	/** Return the best bid of the user on the product.
	 * @param user : the bidder
	 * @param product : the product
	 * @return : the best bid found
	 */
	public Bid getBestBid(User user, Product product);
	
	/** Return the best existing bid on this product.
	 * @param product
	 * @return the best bid found
	 */
	public Bid getBestBid(Product product);
	
	
	/** Get bids on a given product.
	 * 
	 * @param p The product.
	 * @return The list of the bids.
	 */
	public List<Bid> getBidsOnProduct(Product p);
}
