package org.eBide.sessions;

import java.util.ArrayList;
import java.util.List;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

import org.eBide.model.Category;
import org.eBide.model.Product;
import org.eBide.model.Product.State;

/**
 * Session Bean implementation class ManageCategory
 */
@SuppressWarnings("unchecked")
@Stateless
public class ManageCategory implements ManageCategoryRemote {

	@PersistenceContext
	private EntityManager em;
	
	@Override
	public Category create(String name, Category parent) {
		Category c = new Category();
		c.setName(name);
		em.persist(c);
		
//		Category g = null;
//		if (parent != null) {
//			g = em.merge(parent);
//			g.addChild(c);
//			em.merge(g);
//		}
		
		return c;
	}

	@Override
	public List<Product> listProducts(int id, boolean recursive) {
		List<Product> ret = new ArrayList<Product>();
		Category c = em.find(Category.class, id);
		Query q = em.createQuery("SELECT p FROM Product p WHERE p.category = :c " +
								 "AND p.state = :s")
					.setParameter("s", State.BID)
					.setParameter("c", c);
		
		ret.addAll(q.getResultList());
		
//		if(recursive) {
//			for(Category child : c.getChildren()) {
//				ret.addAll(listProducts(child.getId(), recursive));
//			}
//		}
		
		return ret;
	
	}

	@Override
	public List<Category> listCategories() {
		return em.createQuery("SELECT c FROM Category c")
				.getResultList();
	}

	@Override
	public Category getCategoryFromId(int categoryId) {
		return em.find(Category.class, categoryId);
	}


}
