<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html"%>
<%@ taglib prefix="o" uri="http://openfaces.org/" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<f:view locale="#{userController.lang}">
<!--  Bundle for localization of application -->
<o:loadBundle basename="org.eBide.message.message" var="msg"/>
<!--  Specific bundle for page -->
<o:loadBundle basename="org.eBide.message.buy" var="page"/>
<style type="text/css">
	@import url("style/style.css");
</style>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="shortcut icon" href="common/images/favicon.ico" >
<title><h:outputText value="#{page.page_title}"/></title>
</head>
<body>
<div id="nonplein">

	<%-- HEADER --%>
	<div id="pageheader">
		<%@ include file="common/header.jspf" %>
	</div>
	
	<div id="page">
				<!-- CatÃ©gories -->
		<div class="cats">
			<div class="enteteBloc">
				<img src="style/images/bloc_g.jpg" width="7" height="32" alt="" class="enteteBlocBordGauche"/>
				<h:outputText value="#{page.categories}" styleClass="titreBloc" />
<!--				<span class="titreBloc"> CatÃ©gories </span>-->
				<img src="style/images/bloc_d.jpg" width="7" height="32" alt="" class="enteteBlocBordDroite"/>
			</div>
			
			
				<h:form styleClass="bloc">
				<h:dataTable value="#{applicationController.categories}" var="category">
					<h:column>
						<h:commandLink action="#{searchController.actionGetCategoriesProducts}" value="#{applicationController.getBundledNameFromCategory$[category]}">
							<f:param name="categoryID" value="#{category.id}"/>
						</h:commandLink>
					</h:column>
				</h:dataTable>
				</h:form>
			
		</div>
	
		<div id="last_event">
			<h2><h:outputText value="#{page.last_event}" /></h2>
				<h:form>
				<o:dataTable commonHeaderRowClass="headerrow" bodyRowClass="color1, color2" sortAscending="true" value="#{applicationController.lastSells}" var="product" pageSize="10">
				<f:facet name="below">
    				<o:dataTablePaginator/>
				</f:facet>
				<o:column sortingExpression="#{product.title}" sortingComparator="caseInsensitiveText">
					<f:facet name="header">
						<h:outputText value="#{page.title}" />
					</f:facet>
					<h:outputText value="#{product.title}" />
				</o:column>
				<o:column 	sortingExpression="#{applicationController.getBundledNameFromCategory$[product.category]}" 
							sortingComparator="caseInsensitiveText">
					<f:facet name="header">
						<h:outputText value="#{page.category}" />
					</f:facet>
					<h:outputText value="#{applicationController.getBundledNameFromCategory$[product.category]}"/>
				</o:column>
				<o:column sortingExpression="#{product.quantity}">
					<f:facet name="header">
						<h:outputText value="#{page.quant}" />
					</f:facet>
					<h:outputText value="#{product.quantity}" />
				</o:column>
				<o:column 	sortingExpression="#{product.vendor.login}"
							sortingComparator="caseInsensitiveText"
							rendered="#{userController.loggedIn}">
					<f:facet name="header">
						<h:outputText value="#{page.vendor}" />
					</f:facet>
						<h:commandLink action="#{userController.actionLoadProfile}" value="#{product.vendor.login}" >
							<f:param name="user" value="#{product.vendor.login}"/>
						</h:commandLink>
				</o:column>
				<o:column sortingExpression="#{product.endDate}">
					<f:facet name="header">
						<h:outputText value="#{page.end_date}" />
					</f:facet>
					<h:outputText value="#{product.endDate}" >
						<f:convertDateTime pattern="#{userController.pattern}"/>
					</h:outputText>
				</o:column>
				<o:column
					sortingExpression="#{bidController.actionGetBestBid$[product].amount}"
					rendered="#{userController.loggedIn}">
					<f:facet name="header">
						<h:outputText value="#{page.best_bid}" />
					</f:facet>
					<h:outputText
						value="#{bidController.actionGetBestBid$[product].amount}" />
				</o:column>
				<o:column rendered="#{userController.loggedIn}">
					<h:commandLink action="#{productController.actionViewProduct}" value="#{page.details}">
						<f:param name="product" value="#{product.id}" />
					</h:commandLink>
				</o:column>
			</o:dataTable>
			</h:form>
		</div>
	</div>
	
	<%-- FOOTER --%>
	<div id="page_footer">
		<%@ include file="common/footer.jspf" %>
	</div>
	
</div>
</body>
</f:view>
</html>

