<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="f"  uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h"  uri="http://java.sun.com/jsf/html"%>
<%@ taglib prefix="o" uri="http://openfaces.org/" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<f:view locale="#{userController.lang}">
<o:loadBundle basename="org.eBide.message.message" var="msg"/>
<o:loadBundle basename="org.eBide.message.concludesell" var="page"/>
<style type="text/css">
	@import url("style/style.css");
</style>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="shortcut icon" href="common/images/favicon.ico" >
<title><h:outputText value="#{page.page_title}"/></title>
</head>
<body>

		<%-- HEADER --%>
	<div id="pageheader">
		<%@ include file="common/header.jspf" %>
	</div>
		
	<div id="page">
	
		<h:form>
		<h:outputText value="#{page.prod_header}"/>
		<h:panelGrid columns="2">
			<h:outputText value="#{page.prod_title}" />
			<h:outputText value="#{productController.product.title}" />
			<h:outputText value="#{page.prod_quant}" />
			<h:outputText value="#{productController.product.quantity}" />
			<h:outputText value="#{page.prod_startDate}" />
			<h:outputText value="#{productController.product.startDate}" >
				<f:convertDateTime pattern="#{userController.pattern}"/>
			</h:outputText>
			<h:outputText value="#{page.prod_endDate}" />
			<h:outputText value="#{productController.product.endDate}">
					<f:convertDateTime pattern="#{userController.pattern}"/>
			</h:outputText>
			<h:outputText value="#{page.prod_startPrice}" />
			<h:outputText value="#{productController.product.startPrice} $" />
			<h:outputText value="#{page.prod_endPrice}" />
			<h:outputText
				value="#{bidController.actionGetBestBid$[productController.product].amount} $" />
		</h:panelGrid>
		<h:outputText value="#{page.user_header}"/>
		<h:panelGrid columns="1">
			<h:outputText value="#{bidController.actionGetBestBid$[productController.product].bidder.login}"/>
		</h:panelGrid>
		<h:commandButton action="#{productController.actionSendProduct}" value="#{page.send}" binding="#{productController.sendProductButton}" />
	</h:form>
	</div>
	
	<%-- FOOTER --%>
	<div id="page_footer">
		<%@ include file="common/footer.jspf" %>
	</div>
	
	</body>
</f:view>
</html>