<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="f"  uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h"  uri="http://java.sun.com/jsf/html"%>
<%@ taglib prefix="o" uri="http://openfaces.org/" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<f:view locale="#{userController.lang}">
<!--  Bundle for localization of application -->
<o:loadBundle basename="org.eBide.message.message" var="msg"/>
<!--  Specific bundle for page -->
<o:loadBundle basename="org.eBide.message.editprofile" var="prof"/>
<style type="text/css">
	@import url("style/style.css");
</style>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="shortcut icon" href="common/images/favicon.ico" >
<title><h:outputText value="#{prof.page_title}"/></title>
</head>
<body>
<div id="monebide">
		<%-- HEADER --%>
	<div id="pageheader">
		<%@ include file="common/header.jspf" %>
	</div>

	<%-- SIDEBAR --%>
	<div id="sidebar">
		<%@ include file="common/sidebar.jspf" %>
	</div>

	<div id="pageEditerProfile">
		
		<h:form id="personnalInfoEdition" styleClass="formulaire editdata">
			<h3> <h:outputText value="#{prof.editPersonalData}"/> </h3>
			<h:panelGrid columns="2">
			
				<h:outputText value="#{prof.civility}"/>
				<h:outputText value="#{userController.user.civility}"/>
					
				<h:outputText value="#{prof.name}" />
				<h:outputText id="name" value="#{userController.user.name}"/>
				
				<h:outputText value="#{prof.first_name}" />
				<h:outputText id="firstName" value="#{userController.user.firstName}"/>
				
				<h:outputText value="#{prof.date_of_birth}" />
				<h:outputText id="birthdate" value="#{userController.user.birthdate}">
					<f:convertDateTime pattern="#{userController.pattern}"/>
				</h:outputText>

				<h:outputText value="#{prof.address}" />
				<h:panelGroup>
					<h:inputText id="address" value="#{userController.user.address}"
						required="true" />
					<h:message for="address" style="color:red;" showDetail="true" />
				</h:panelGroup>

				<h:outputText value="#{prof.zip}" />
				<h:panelGroup>
					<h:inputText id="zipCode" value="#{userController.user.zipCode}"
						required="true" />
					<h:message for="zipCode" style="color:red;" showDetail="true" />
				</h:panelGroup>

				<h:outputText value="#{prof.city}" />
				<h:panelGroup>
					<h:inputText id="city" value="#{userController.user.city}"
						required="true" />
					<h:message for="city" style="color:red;" showDetail="true" />
				</h:panelGroup>

				<h:outputText value="#{prof.country}" />
				<h:selectOneMenu value="#{userController.user.country}">
					<f:selectItems value="#{userController.countryList}"/>
				</h:selectOneMenu>
				
				<h:outputText value="#{prof.login}" />
				<h:outputText value="#{userController.user.login}"/>
						
				<h:outputText value="#{prof.mail}" />
				<h:panelGroup>
					<h:inputText id="mail" value="#{userController.user.mail}"
						required="true" />
					<h:message for="mail" style="color:red;" showDetail="true" />
				</h:panelGroup>
				</h:panelGrid> 
				<h:commandButton image="style/images/ok.png" action="#{userController.actionEditProfile}" value="Valider" styleClass="button" />
			</h:form>
			
			<h:form id="passwordEdition" styleClass="formulaire editpassword">
				<h3> <h:outputText value="#{prof.changePassword}"/> </h3>
				<h:panelGrid columns="2" >
				<h:outputText value="#{prof.old_password}" />
				<h:panelGroup>
					<h:inputSecret id="originalPassword" required="true">
						<f:converter converterId="passwordEncryptor"/>
						<f:validator validatorId="passwordChecker" />
					</h:inputSecret>
					<h:message for="originalPassword" style="color:red;"
						showDetail="true" />
				</h:panelGroup>
				
				<h:outputText value="#{prof.new_password}" />
				<h:panelGroup>
					<h:inputSecret id="newPassword"
						value="#{userController.user.password}" required="true">
							<f:converter converterId="passwordEncryptor"/>
						</h:inputSecret>
					<h:message for="newPassword" style="color:red;" showDetail="true" />
				</h:panelGroup>

				<h:outputText value="#{prof.confirm_password}" />
				<h:panelGroup>
					<h:inputSecret id="confirmationPassword" required="true">
						<f:converter converterId="passwordEncryptor"/>
						<f:attribute name="passwordId" value="passwordEdition:newPassword" />
						<f:validator validatorId="passwordCoherency" />
					</h:inputSecret>
					<h:message for="confirmationPassword" style="color:red;"
						showDetail="true" />
				</h:panelGroup>
			</h:panelGrid>
			<h:commandButton image="style/images/ok.png" action="#{userController.actionEditProfile}" value="#{prof.validate}" styleClass="button" />
		</h:form>
	</div>
	
	<%-- FOOTER --%>
	<div id="page_footer">
		<%@ include file="common/footer.jspf" %>
	</div>
</div>
</body>
</html>
</f:view>