<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="f"  uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h"  uri="http://java.sun.com/jsf/html"%>
<%@ taglib prefix="o" uri="http://openfaces.org/" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<f:view locale="#{userController.lang}">
<!--  Bundle for localization of application -->
<o:loadBundle basename="org.eBide.message.message" var="msg"/>
<!--  Specific bundle for page -->
<o:loadBundle basename="org.eBide.message.editsell" var="page"/>
<style type="text/css">
	@import url("style/style.css");
</style>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="shortcut icon" href="common/images/favicon.ico" >
<title><h:outputText value="#{page.page_title}"/></title>
</head>
<body>

		<%-- HEADER --%>
	<div id="pageheader">
		<%@ include file="common/header.jspf" %>
	</div>

	<div id="page">
		<h:form>
		<h:panelGrid columns="2">
			<h:outputText value="#{page.title}" />
			<h:outputText value="#{productController.product.title}" />
			<h:outputText value="#{page.quant}" />
			<h:outputText value="#{productController.product.quantity}" />
			<h:outputText value="#{page.start_date}" />
			<h:outputText value="#{productController.product.startDate}" >
				<f:convertDateTime pattern="#{userController.pattern}"/>
			</h:outputText>
			<h:outputText value="#{page.end_date}" />
			<h:panelGroup>
				<o:dateChooser id="endDate" value="#{productController.product.endDate}"
    				pattern="#{page.pattern}"
    				locale="#{page.local}"
    				todayText="#{page.today}"
    				noneText="#{page.none}">
    				<f:validator validatorId="endDateEditionCoherency"/>
				</o:dateChooser>
				<h:message for="endDate" style="color:red;" showDetail="true" />
			</h:panelGroup>
			<h:outputText value="#{page.start_price}" />
			<h:outputText value="#{productController.product.startPrice} $" />
			<h:outputText value="#{page.best_bid}" />
			<h:outputText
				value="#{bidController.actionGetBestBid$[productController.product].amount} $" />
			<h:outputText value="#{page.description}"/>
			<h:inputTextarea value="#{productController.product.description}"/>
		</h:panelGrid>
		<h:commandButton action="#{productController.actionEditSell}" value="#{page.edit}" />
	</h:form>
	</div>
	
	<%-- FOOTER --%>
	<div id="page_footer">
		<%@ include file="common/footer.jspf" %>
	</div>
	
	
	</body>
</f:view>
</html>