<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html"%>
<%@ taglib prefix="o" uri="http://openfaces.org/" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<f:view locale="#{userController.lang}">
<!--  Bundle for localization of application -->
<o:loadBundle basename="org.eBide.message.message" var="msg"/>
<!--  Specific bundle for page -->
<o:loadBundle basename="org.eBide.message.index" var="page"/>
<!--  Specific bundle for page -->
<o:loadBundle basename="org.eBide.message.login" var="login"/>

<style type="text/css">
	@import url("style/style.css");
</style>


<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="shortcut icon" href="common/images/favicon.ico" >
<title><h:outputText value="#{page.page_title}"/></title>
</head>
<body>

	<%-- HEADER --%>
	<div id="pageheader">
		<%@ include file="common/header.jspf" %>
	</div>

	<div id="page">
		<!-- Catégories -->
		<div class="cats">
			<div class="enteteBloc">
				<img src="style/images/bloc_g.jpg" width="7" height="32" alt="" class="enteteBlocBordGauche"/>
				<h:outputText value="#{page.categories}" styleClass="titreBloc" />
<!--				<span class="titreBloc"> Catégories </span>-->
				<img src="style/images/bloc_d.jpg" width="7" height="32" alt="" class="enteteBlocBordDroite"/>
			</div>
			
			
				<h:form styleClass="bloc">
				<h:dataTable value="#{applicationController.categories}" var="category">
					<h:column>
						<h:commandLink action="#{searchController.actionGetCategoriesProducts}" value="#{applicationController.getBundledNameFromCategory$[category]}">
							<f:param name="categoryID" value="#{category.id}"/>
						</h:commandLink>
					</h:column>
				</h:dataTable>
				</h:form>
			
		</div>
		
		<div id="droite">
			<div id="dessusdroite">
			<div id="presentation">
				<h3>Bienvenue sur eBide !</h3>
				<p>eBide est un site d'enchères créé pour faciliter la vie des hommes de pouvoir, hommes politiques ou encore entreprises. Ici
					on voit toujours en grand, on achète soit des choses très utiles soit très inutiles. ce site est là pour rétablir
					l'équilibre du monde entre méchants et gentils et inutile/utile(notre site s'inscrit dans le cadre du
					développement durable : recyclage de l'inutile)
					</p>
				<p>	Vous êtes plutôt malhonnêtes et la vie vous sourit. Cependant, la législation vous la complique un peu, et il vous manque 
					quelques avantages pour faire tourner votre dictature par exemple. Avec eBide, vous n'aurez pas besoin de tuer qui que ce soit
					pour les obtenir, vous trouverez de quoi vous faciliter la vie parmi nos centaines d'enchères. Vous pourrez allier facilité et crime.
					 à vous de vous venger si quelqu'un remporte l'enchère de vos rêves.
					</p>
				<p>	Vous êtes sages comme une image et vous avez accumulé pleins d'avantages qui ne vous servent à rien ou alors vous avez 
					des boulets dont vous ne savez pas quoi faire. Contribuez à rétablir l'équilibre. Vos avantages pourront en intéresser plus d'un,
					et vos boulets pourraient être recyclés. ça va vous rapportez gros!
					Mettez les aux enchères sur eBide, des tas de méchants ou d'idiots pleins aux as qui s'ennuient seront prêts à vous les acheter !
					</p>
	        </div>
	        
	       
			
			<div id="sinscrire" class="bloc">	
				<f:subview id="register" rendered="#{!userController.loggedIn}">
						<h2><h:outputText value="#{page.newuser}"/></h2>
							<h:outputLink value="registration.jsp"><b><h:outputText value="#{page.register}"/></b></h:outputLink>
				</f:subview>
			</div>
			
			</div>
		
		<div id="last_event">

				<h3><h:outputText value="#{page.last_event}" /></h3>
					<h:form>
					<o:dataTable sortAscending="true" value="#{applicationController.lastSells}" var="product" pageSize="10">
					<f:facet name="below">
	    				<o:dataTablePaginator/>
					</f:facet>
					<o:column sortingExpression="#{product.title}" sortingComparator="caseInsensitiveText">
						<f:facet name="header">
							<h:outputText value="#{page.title}" />
						</f:facet>
						<h:outputText value="#{product.title}" />
					</o:column>
					<o:column sortingExpression="#{applicationController.getBundledNameFromCategory$[product.category]}" sortingComparator="caseInsensitiveText">
						<f:facet name="header">
							<h:outputText value="#{page.category}" />
						</f:facet>
						<h:outputText value="#{applicationController.getBundledNameFromCategory$[product.category]}" />
					</o:column>
					<o:column sortingExpression="#{product.quantity}">
						<f:facet name="header">
							<h:outputText value="#{page.quant}" />
						</f:facet>
						<h:outputText value="#{product.quantity}" />
					</o:column>
					<o:column sortingExpression="#{product.vendor.login}" sortingComparator="caseInsensitiveText" rendered="#{userController.loggedIn}">
						<f:facet name="header">
							<h:outputText value="#{page.vendor}" />
						</f:facet>
						<h:commandLink action="#{userController.actionLoadProfile}" value="#{product.vendor.login}" >
							<f:param name="user" value="#{product.vendor.login}"/>
						</h:commandLink>
					</o:column>
					<o:column sortingExpression="#{product.endDate}">
						<f:facet name="header">
							<h:outputText value="#{page.end_date}" />
						</f:facet>
						<h:outputText value="#{product.endDate}" >
							<f:convertDateTime pattern="#{userController.pattern}"/>
						</h:outputText>
					</o:column>
					<o:column sortingExpression="#{productController.getMessageFromState$[product]}">
						<f:facet name="header">
							<h:outputText value="#{page.column_State}" />
						</f:facet>
					<h:outputText value="#{productController.getMessageFromState$[product]}" />
					</o:column>
					<o:column
						sortingExpression="#{bidController.actionGetBestBid$[product].amount}" rendered="#{userController.loggedIn}">
						<f:facet name="header">
							<h:outputText value="#{page.best_bid}"/>
						</f:facet>
						<h:outputText value="#{bidController.actionGetBestBid$[product].amount}"/>
					</o:column>
					<o:column rendered="#{userController.loggedIn}">
						<f:facet name="header">
							<h:outputText value="#{page.details}"/>
						</f:facet>
						<h:commandLink action="#{productController.actionViewProduct}" value="#{page.details}">
							<f:param name="product" value="#{product.id}" />
						</h:commandLink>
					</o:column>
				</o:dataTable>
				</h:form>
			</div>
			
			</div>
			</div>

			

	
	<%-- FOOTER --%>
	<div id="page_footer">
		<%@ include file="common/footer.jspf" %>
	</div>


</body>
</f:view>
</html>