<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html"%>
<%@ taglib prefix="o" uri="http://openfaces.org/" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<f:view locale="#{userController.lang}">
<!--  Bundle for localization of application -->
<o:loadBundle basename="org.eBide.message.message" var="msg"/>
<!--  Specific bundle for page -->
<o:loadBundle basename="org.eBide.message.login" var="page"/>

<style type="text/css">
	@import url("style/style.css");
</style>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="shortcut icon" href="common/images/favicon.ico" >
<title><h:outputText value="#{page.page_title}"/></title>
</head>
<body>
<div id="nonplein">
	<%-- HEADER --%>
	<div id="pageheader">
		<%@ include file="common/header.jspf" %>
	</div>
	
	<div id="page">
	<div id="authentification">
		<h3><h:outputText value="#{page.bar_title}"/></h3>
		<h:form id="identForm">
			<h:panelGrid columns="2" columnClasses="gauche" cellspacing="10px" >
				<h:outputText value="#{page.login}" />
				<h:inputText id="userLogin" value="#{userController.user.login}" />
				<h:outputText value="#{page.password}" />
				<h:inputSecret id="password" value="#{userController.user.password}" >
					<f:converter converterId="passwordEncryptor"/>
					<f:validator validatorId="authenticateChecker"/>
				</h:inputSecret>
				<h:commandButton image="style/images/ok.png" action="#{userController.actionLogin}" value="#{page.signin}" styleClass="button"/>
				
			</h:panelGrid>
		</h:form>
		<h:outputLink value="retrieve_password.jsp">
			<h:outputText value="#{page.retrieve_password}" styleClass="retrievepassword" />
		</h:outputLink>
		</div>
	</div>
	</div>
	
	<%-- FOOTER --%>
	<div id="page_footer">
		<%@ include file="common/footer.jspf" %>
	</div>

</body>
</f:view>
</html>