<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="f"  uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h"  uri="http://java.sun.com/jsf/html"%>
<%@ taglib prefix="o" uri="http://openfaces.org/" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<f:view locale="#{userController.lang}">
<!--  Bundle for localization of application -->
<o:loadBundle basename="org.eBide.message.message" var="msg"/>
<!--  Specific bundle for page -->
<o:loadBundle basename="org.eBide.message.mybid" var="page"/>
<style type="text/css">
	@import url("style/style.css");
</style>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="shortcut icon" href="common/images/favicon.ico" >
<title><h:outputText value="#{page.page_title}"/></title>
</head>
<body>
<div id="monebide">
	<%-- HEADER --%>
	<div id="pageheader">
		<%@ include file="common/header.jspf" %>
	</div>

		<div id="page">
		
			<%-- SIDEBAR --%>
		<div id="sidebar">
			<%@ include file="common/sidebar.jspf" %>
		</div>
		
	
		<div id="last_event">
			<h4><h:outputText value="#{page.my_bids}"/></h4>
			<h:form>
			<o:dataTable sortAscending="true" value="#{productController.biddenProducts}" var="product" pageSize="10">
			<f:facet name="below">
    				<o:dataTablePaginator/>
				</f:facet>
			<o:column sortingExpression="#{product.title}">
				<f:facet name="header">
					<h:outputText value="#{page.title}" />
				</f:facet>
				<h:outputText value="#{product.title}" />
			</o:column>
			<o:column sortingExpression="#{applicationController.getBundledNameFromCategory$[product.category]}" sortingComparator="caseInsensitiveText">
					<f:facet name="header">
						<h:outputText value="#{page.category}" />
					</f:facet>
					<h:outputText value="#{applicationController.getBundledNameFromCategory$[product.category]}" />
			</o:column>
			<o:column sortingExpression="#{product.quantity}">
				<f:facet name="header">
					<h:outputText value="#{page.quant}" />
				</f:facet>
				<h:outputText value="#{product.quantity}" />
			</o:column>
			<o:column sortingExpression="#{product.vendor.login}" sortingComparator="caseInsensitiveText">
					<f:facet name="header">
						<h:outputText value="#{page.vendor}" />
					</f:facet>
					<h:outputText value="#{product.vendor.login}" />
			</o:column>
			<o:column sortingExpression="#{product.endDate}">
				<f:facet name="header">
					<h:outputText value="#{page.end_date}" />
				</f:facet>
				<h:outputText value="#{product.endDate}">
					<f:convertDateTime pattern="#{userController.pattern}"/>
				</h:outputText>
			</o:column>
			<o:column sortingExpression="#{bidController.actionGetMyBid$[product].amount}">
				<f:facet name="header">
					<h:outputText value="#{page.my_bid}" />
				</f:facet>
				<h:outputText value="#{bidController.actionGetMyBid$[product].amount}" />
			</o:column>
			<o:column sortingExpression="#{bidController.actionGetBestBid$[product].amount}">
				<f:facet name="header">
					<h:outputText value="#{page.best_bid}" />
				</f:facet>
				<h:outputText value="#{bidController.actionGetBestBid$[product].amount}" />
			</o:column>
			<o:column sortingExpression="#{productController.getMessageFromState$[product]}">
				<f:facet name="header">
					<h:outputText value="#{page.column_State}" />
				</f:facet>
				<h:outputText value="#{productController.getMessageFromState$[product]}" />
			</o:column>
			<o:column>
				<h:commandLink action="#{productController.actionViewProduct}" value="#{page.raise}">
					<f:param name="product" value="#{product.id}"/>
				</h:commandLink>
			</o:column>
		</o:dataTable>
		</h:form>
		</div>
	</div>
	
	<%-- FOOTER --%>
	<div id="page_footer">
		<%@ include file="common/footer.jspf" %>
	</div>
	
</div>
</body>
</html>
</f:view>