<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="f"  uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h"  uri="http://java.sun.com/jsf/html"%>
<%@ taglib prefix="o" uri="http://openfaces.org/" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<f:view locale="#{userController.lang}">
<!--  Bundle for localization of application -->
<o:loadBundle basename="org.eBide.message.message" var="msg"/>
<o:loadBundle basename="org.eBide.message.mysell" var="page"/>
<style type="text/css">
	@import url("style/style.css");
</style>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="shortcut icon" href="common/images/favicon.ico" >
<title><h:outputText value="#{page.page_title}"/></title>
</head>
	<body>

<div id="monebide">
	<%-- HEADER --%>
	<div id="pageheader">
		<%@ include file="common/header.jspf" %>
	</div>
	


	<div id="page">
	
				<%-- SIDEBAR --%>
		<div id="sidebar">
			<%@ include file="common/sidebar.jspf" %>
		</div>
	
		<div id="last_event">
		<h:form>
		<h3><h:commandLink action="#{productController.actionNewSell}" value="#{page.submitSell}"/></h3>			
		</h:form>
		
			<h4><h:outputText value="#{page.currentSells}"/></h4>
			<h:form>
			<o:dataTable sortAscending="true" value="#{productController.biddedProducts}" var="product" pageSize="5">
			<f:facet name="below">
    				<o:dataTablePaginator/>
    		</f:facet>
			<o:column sortingExpression="#{product.title}" sortingComparator="caseInsensitiveText">
				<f:facet name="header">
					<h:outputText value="#{page.column_Name}" />
				</f:facet>
				<h:outputText value="#{product.title}" />
			</o:column>
				<o:column sortingExpression="#{applicationController.getBundledNameFromCategory$[product.category]}" sortingComparator="caseInsensitiveText">
					<f:facet name="header">
						<h:outputText value="#{page.category}" />
					</f:facet>
					<h:outputText value="#{applicationController.getBundledNameFromCategory$[product.category]}" />
			</o:column>
			<o:column sortingExpression="#{product.quantity}">
				<f:facet name="header">
					<h:outputText value="#{page.column_Quantity}" />
				</f:facet>
				<h:outputText value="#{product.quantity}" />
			</o:column>
			<o:column sortingExpression="#{product.endDate}">
				<f:facet name="header">
					<h:outputText value="#{page.column_EndDate}" />
				</f:facet>
				<h:outputText value="#{product.endDate}" >
					<f:convertDateTime pattern="#{userController.pattern}"/>
				</h:outputText>
			</o:column>
			<o:column sortingExpression="#{bidController.actionGetBestBid$[product].amount}">
				<f:facet name="header">
					<h:outputText value="#{page.column_BestBid}" />
				</f:facet>
				<h:outputText value="#{bidController.actionGetBestBid$[product].amount}" />
			</o:column>
			<o:column sortingExpression="#{productController.getMessageFromState$[product]}">
				<f:facet name="header">
					<h:outputText value="#{page.column_State}" />
				</f:facet>
				<h:outputText value="#{productController.getMessageFromState$[product]}" />
			</o:column>
			<o:column>
				<h:commandLink action="#{productController.actionSelectSell}" value="#{productController.actionFromStateVendor$[product]}">
					<f:param name="product" value="#{product.id}"/>
				</h:commandLink>
			</o:column>
		</o:dataTable>
		</h:form>
		
		<h4><h:outputText value="#{page.toBePaidProducts}"/></h4>
		<h:form>
			<o:dataTable sortAscending="true" value="#{productController.toBePaidProductsVendor}" var="product" pageSize="5">
			<f:facet name="below">
    				<o:dataTablePaginator/>
    		</f:facet>
			<o:column sortingExpression="#{product.title}" sortingComparator="caseInsensitiveText">
				<f:facet name="header">
					<h:outputText value="#{page.column_Name}" />
				</f:facet>
				<h:outputText value="#{product.title}" />
			</o:column>
				<o:column sortingExpression="#{applicationController.getBundledNameFromCategory$[product.category]}" sortingComparator="caseInsensitiveText">
					<f:facet name="header">
						<h:outputText value="#{page.category}" />
					</f:facet>
					<h:outputText value="#{applicationController.getBundledNameFromCategory$[product.category]}" />
			</o:column>
			<o:column sortingExpression="#{product.quantity}">
				<f:facet name="header">
					<h:outputText value="#{page.column_Quantity}" />
				</f:facet>
				<h:outputText value="#{product.quantity}" />
			</o:column>
			<o:column sortingExpression="#{product.endDate}">
				<f:facet name="header">
					<h:outputText value="#{page.column_EndDate}" />
				</f:facet>
				<h:outputText value="#{product.endDate}" >
					<f:convertDateTime pattern="#{userController.pattern}"/>
				</h:outputText>
			</o:column>
			<o:column sortingExpression="#{bidController.actionGetBestBid$[product].bidder.login}">
				<f:facet name="header">
					<h:outputText value="#{page.column_BestBidder}" />
				</f:facet>
			<h:outputText value="#{bidController.actionGetBestBid$[product].bidder.login}" />
			</o:column>
			<o:column sortingExpression="#{bidController.actionGetBestBid$[product].amount}">
				<f:facet name="header">
					<h:outputText value="#{page.column_SellPrice}" />
				</f:facet>
				<h:outputText value="#{bidController.actionGetBestBid$[product].amount}" />
			</o:column>
			<o:column sortingExpression="#{productController.getMessageFromState$[product]}">
				<f:facet name="header">
					<h:outputText value="#{page.column_State}" />
				</f:facet>
				<h:outputText value="#{productController.getMessageFromState$[product]}" />
			</o:column>
			<o:column>
				<h:commandLink action="#{productController.actionSelectSell}" value="#{productController.actionFromStateVendor$[product]}">
					<f:param name="product" value="#{product.id}"/>
				</h:commandLink>
			</o:column>
		</o:dataTable>
		</h:form>
		
		<h4><h:outputText value="#{page.toBeSentProducts}"/></h4>
		<h:form>
			<o:dataTable sortAscending="true" value="#{productController.toBeSentProductVendor}" var="product" pageSize="5">
			<f:facet name="below">
    				<o:dataTablePaginator/>
    		</f:facet>
			<o:column sortingExpression="#{product.title}" sortingComparator="caseInsensitiveText">
				<f:facet name="header">
					<h:outputText value="#{page.column_Name}" />
				</f:facet>
				<h:outputText value="#{product.title}" />
			</o:column>
				<o:column sortingExpression="#{applicationController.getBundledNameFromCategory$[product.category]}" sortingComparator="caseInsensitiveText">
					<f:facet name="header">
						<h:outputText value="#{page.category}" />
					</f:facet>
					<h:outputText value="#{applicationController.getBundledNameFromCategory$[product.category]}" />
			</o:column>
			<o:column sortingExpression="#{product.quantity}">
				<f:facet name="header">
					<h:outputText value="#{page.column_Quantity}" />
				</f:facet>
				<h:outputText value="#{product.quantity}" />
			</o:column>
			<o:column sortingExpression="#{product.endDate}">
				<f:facet name="header">
					<h:outputText value="#{page.column_EndDate}" />
				</f:facet>
				<h:outputText value="#{product.endDate}" >
					<f:convertDateTime pattern="#{userController.pattern}"/>
				</h:outputText>
			</o:column>
			<o:column sortingExpression="#{bidController.actionGetBestBid$[product].bidder.login}">
				<f:facet name="header">
					<h:outputText value="#{page.column_BestBidder}" />
				</f:facet>
				<h:outputText value="#{bidController.actionGetBestBid$[product].bidder.login}" />
			</o:column>
			<o:column sortingExpression="#{bidController.actionGetBestBid$[product].amount}">
				<f:facet name="header">
					<h:outputText value="#{page.column_SellPrice}" />
				</f:facet>
				<h:outputText value="#{bidController.actionGetBestBid$[product].amount}" />
			</o:column>
			<o:column sortingExpression="#{productController.getMessageFromState$[product]}">
				<f:facet name="header">
					<h:outputText value="#{page.column_State}" />
				</f:facet>
				<h:outputText value="#{productController.getMessageFromState$[product]}" />
			</o:column>
			<o:column>
				<h:commandLink action="#{productController.actionSelectSell}" value="#{productController.actionFromStateVendor$[product]}">
					<f:param name="product" value="#{product.id}"/>
				</h:commandLink>
			</o:column>
		</o:dataTable>
		</h:form>
		
		<h4><h:outputText value="#{page.toBeReceivedProducts}"/></h4>
		<h:form>
			<o:dataTable sortAscending="true" value="#{productController.toBeReceivedProductsVendor}" var="product" pageSize="5">
			<f:facet name="below">
    				<o:dataTablePaginator/>
    		</f:facet>
			<o:column sortingExpression="#{product.title}" sortingComparator="caseInsensitiveText">
				<f:facet name="header">
					<h:outputText value="#{page.column_Name}" />
				</f:facet>
				<h:outputText value="#{product.title}" />
			</o:column>
				<o:column sortingExpression="#{applicationController.getBundledNameFromCategory$[product.category]}" sortingComparator="caseInsensitiveText">
					<f:facet name="header">
						<h:outputText value="#{page.category}" />
					</f:facet>
					<h:outputText value="#{applicationController.getBundledNameFromCategory$[product.category]}" />
			</o:column>
			<o:column sortingExpression="#{product.quantity}">
				<f:facet name="header">
					<h:outputText value="#{page.column_Quantity}" />
				</f:facet>
				<h:outputText value="#{product.quantity}" />
			</o:column>
			<o:column sortingExpression="#{product.endDate}">
				<f:facet name="header">
					<h:outputText value="#{page.column_EndDate}" />
				</f:facet>
				<h:outputText value="#{product.endDate}" >
					<f:convertDateTime pattern="#{userController.pattern}"/>
				</h:outputText>
			</o:column>
			<o:column sortingExpression="#{bidController.actionGetBestBid$[product].bidder.login}">
				<f:facet name="header">
					<h:outputText value="#{page.column_BestBidder}" />
				</f:facet>
				<h:outputText value="#{bidController.actionGetBestBid$[product].bidder.login}" />
			</o:column>
			<o:column sortingExpression="#{bidController.actionGetBestBid$[product].amount}">
				<f:facet name="header">
					<h:outputText value="#{page.column_SellPrice}" />
				</f:facet>
				<h:outputText value="#{bidController.actionGetBestBid$[product].amount}" />
			</o:column>
			<o:column sortingExpression="#{productController.getMessageFromState$[product]}">
				<f:facet name="header">
					<h:outputText value="#{page.column_State}" />
				</f:facet>
				<h:outputText value="#{productController.getMessageFromState$[product]}" />
			</o:column>
			<o:column>
				<h:commandLink action="#{productController.actionSelectSell}" value="#{productController.actionFromStateVendor$[product]}">
					<f:param name="product" value="#{product.id}"/>
				</h:commandLink>
			</o:column>
		</o:dataTable>
		</h:form>
		
		<h4><h:outputText value="#{page.endedSells}"/></h4>
		<h:form>
			<o:dataTable sortAscending="true" value="#{productController.endedSells}" var="product" pageSize="5">
			<f:facet name="below">
    				<o:dataTablePaginator/>
    		</f:facet>
			<o:column sortingExpression="#{product.title}" sortingComparator="caseInsensitiveText">
				<f:facet name="header">
					<h:outputText value="#{page.column_Name}" />
				</f:facet>
				<h:outputText value="#{product.title}" />
			</o:column>
				<o:column sortingExpression="#{applicationController.getBundledNameFromCategory$[product.category]}" sortingComparator="caseInsensitiveText">
					<f:facet name="header">
						<h:outputText value="#{page.category}" />
					</f:facet>
					<h:outputText value="#{applicationController.getBundledNameFromCategory$[product.category]}" />
			</o:column>
			<o:column sortingExpression="#{product.quantity}">
				<f:facet name="header">
					<h:outputText value="#{page.column_Quantity}" />
				</f:facet>
				<h:outputText value="#{product.quantity}" />
			</o:column>
			<o:column sortingExpression="#{product.endDate}">
				<f:facet name="header">
					<h:outputText value="#{page.column_EndDate}" />
				</f:facet>
				<h:outputText value="#{product.endDate}" >
					<f:convertDateTime pattern="#{userController.pattern}"/>
				</h:outputText>
			</o:column>
			<o:column sortingExpression="#{bidController.actionGetBestBid$[product].amount}">
				<f:facet name="header">
					<h:outputText value="#{page.column_SellPrice}" />
				</f:facet>
				<h:outputText value="#{bidController.actionGetBestBid$[product].amount}" />
			</o:column>
			<o:column sortingExpression="#{productController.getMessageFromState$[product]}">
				<f:facet name="header">
					<h:outputText value="#{page.column_State}" />
				</f:facet>
				<h:outputText value="#{productController.getMessageFromState$[product]}" />
			</o:column>
			<o:column>
				<h:commandLink action="#{productController.actionSelectSell}" value="#{productController.actionFromStateVendor$[product]}">
					<f:param name="product" value="#{product.id}"/>
				</h:commandLink>
			</o:column>
		</o:dataTable>
		</h:form>
		</div>
	</div>
	
	<%-- FOOTER --%>
	<div id="page_footer">
		<%@ include file="common/footer.jspf" %>
	</div>

</div>	
</body>
</f:view>
</html>