<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="f"  uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h"  uri="http://java.sun.com/jsf/html"%>
<%@ taglib prefix="o" uri="http://openfaces.org/" %>

<html>
<f:view locale="#{userController.lang}">
<!--  Bundle for localization of application -->
<o:loadBundle basename="org.eBide.message.message" var="msg"/>
<o:loadBundle basename="org.eBide.message.newbid" var="page"/>
<style type="text/css">
	@import url("style/style.css");
</style>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="shortcut icon" href="common/images/favicon.ico" >
<title><h:outputText value="#{page.page_title}"/></title>
</head>
<body>
		<%-- HEADER --%>
	<div id="pageheader">
		<%@ include file="common/header.jspf" %>
	</div>


	<div id="pageEnchere">
		<div id="objet">

		<div id="titreObjet">
			<h2><h:outputText value="#{productController.product.title}" /></h2>
		</div>
	
		<div id="photo_objet"> 
			<img src="style/images/noPicture.jpg" 	 alt=""/>
		</div>
		
		<h:panelGrid cellspacing="10px" columns="2" columnClasses="bold" styleClass="descEnchere">
			<h:outputText  value="#{page.title}"  />
			<h:outputText value="#{productController.product.title}" />
			<h:outputText  value="#{page.category}"  />
			<h:outputText value="#{productController.product.category.name}" />
			<h:outputText value="#{page.quant}" />
			<h:outputText value="#{productController.product.quantity}" />
			<h:outputText value="#{page.start_date}" />
			<h:outputText value="#{productController.product.startDate}" >
				<f:convertDateTime pattern="#{userController.pattern}"/>
			</h:outputText>
			<h:outputText value="#{page.end_date}" />
			<h:outputText value="#{productController.product.endDate}" >
				<f:convertDateTime pattern="#{userController.pattern}"/>
			</h:outputText>
			<h:outputText value="#{page.start_price}" />
			<h:outputText value="#{productController.product.startPrice} $" />
			<h:outputText value="#{page.best_bid}" />
			<h:outputText
				value="#{bidController.actionGetBestBid$[productController.product].amount} $" />
		</h:panelGrid>
		
		<h:form styleClass="votreEnchere" >
			<h3><h:outputText value="#{page.my_bid}" /></h3>
				<h:panelGroup>
					<h:inputText id="newBid" value="#{bidController.amount}" size="20">
						<f:validator validatorId="newBidMinimalAmount" />
						<f:validator validatorId="sellAvailabilityChecker" />
					</h:inputText>
				</h:panelGroup>
			
			<h:commandButton image="style/images/Dollar.png" action="#{bidController.actionCreateBid}" value="#{bidController.newBidButtonValue}" binding="#{bidController.newBidButton}" styleClass="button"/>
		</h:form>
	
		<div id="descriptionObjet" class="bloc">
			<h:outputText value="#{page.description}"/>
			<hr/>
			<p><h:outputText escape="false" value="#{productController.product.description}"/></p>
		</div>

		</div>
	</div>
	
	<%-- FOOTER --%>
	<div id="page_footer">
		<%@ include file="common/footer.jspf" %>
	</div>
	
</body>
</f:view>
</html>