<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="f"  uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h"  uri="http://java.sun.com/jsf/html"%>
<%@ taglib prefix="o" uri="http://openfaces.org/" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<f:view locale="#{userController.lang}">
<!--  Bundle for localization of application -->
<o:loadBundle basename="org.eBide.message.message" var="msg"/>
<o:loadBundle basename="org.eBide.message.newsell" var="mysell"/>
<style type="text/css">
	@import url("style/style.css");
</style>
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="shortcut icon" href="common/images/favicon.ico" >
<title><h:outputText value="#{mysell.page_title}"/></title>
</head>
<body>
<div id="nonplein">
	<%-- HEADER --%>
	<div id="pageheader">
		<%@ include file="common/header.jspf" %>
	</div>

	<div id="pageNewSell" >
		<h:form id="sellEntry" styleClass="formulaire">
		<h2><h:outputText value="#{mysell.entete}"/></h2>
		<h:panelGrid columns="2" columnClasses="gauche">
			<h:outputText value="#{mysell.title}" />
			<h:panelGroup>
				<h:inputText id="title" value="#{productController.title}" required="true"/>
			</h:panelGroup>
			<h:outputText value="#{mysell.quant}" />
			<h:panelGroup>	
				<h:inputText id="quantity" value="#{productController.quantity}" required="true">
				<o:validateCustom clientFunction="return value >= 1;" summary="#{mysell.wrong_qty}" 
									detail="#{mysell.detail_wrong_qty}"/>
				</h:inputText>
			</h:panelGroup>
			<h:outputText value="#{mysell.start_date}" />
			<h:panelGroup>
			<o:dateChooser id="startDate" value="#{productController.startDate}"
    				pattern="#{mysell.pattern}"
    				locale="#{mysell.local}"
    				todayText="#{mysell.today}"
    				noneText="#{mysell.none}">
    				<f:validator validatorId="dateCoherency"/>
			</o:dateChooser>
			</h:panelGroup>
			<h:outputText value="#{mysell.end_date}" />
			<h:panelGroup>
			<o:dateChooser id="endDate" value="#{productController.endDate}"
    				pattern="#{mysell.pattern}"
    				locale="#{mysell.local}"
    				todayText="#{mysell.today}"
    				noneText="#{mysell.none}">
    				<f:validator validatorId="endDateCoherency"/>
			</o:dateChooser>
			</h:panelGroup>
			<h:outputText value="#{mysell.start_price}" />
			<h:panelGroup>
				<h:inputText id="startPrice" value="#{productController.startPrice}" required="true">
				<o:validateCustom clientFunction="return value >= 0;" summary="#{mysell.price_lt_0}" 
									detail="#{mysell.detail_price_lt_0}"/>
				</h:inputText>
				<h:outputText value="$"/>
			</h:panelGroup>
			<h:outputText value="#{mysell.category}"/>
			<h:selectOneMenu value="#{productController.categoryId}" required="true">
				<f:selectItems value="#{applicationController.categoriesItemList}"/>
			</h:selectOneMenu>
			<h:outputText escape="false" value="#{mysell.description}"/>
			<h:inputTextarea value="#{productController.description}" required="true" style="width:300px; height:150px;"/>
		</h:panelGrid>
		<h:commandButton image="style/images/add.png" action="#{productController.actionCreateSell}" value="#{mysell.create}" styleClass="button"/>
	</h:form>
	</div>
	
	<%-- FOOTER --%>
	<div id="page_footer">
		<%@ include file="common/footer.jspf" %>
	</div>

</div>>
</body>
</f:view>
</html>