<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html"%>
<%@ taglib prefix="o" uri="http://openfaces.org/" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<f:view locale="#{userController.lang}">
<!--  Bundle for localization of application -->
<o:loadBundle basename="org.eBide.message.message" var="msg"/>
<o:loadBundle basename="org.eBide.message.registration" var="page"/>
<style type="text/css">
	@import url("style/style.css");
</style>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="shortcut icon" href="common/images/favicon.ico" >
<title><h:outputText value="#{page.page_title}"/></title>
</head>
<body>
<div id="nonplein">
		<%-- HEADER --%>
	<div id="pageheader">
		<%@ include file="common/header.jspf" %>
	</div>

	<div id ="createAccount">
		<h2> <h:outputText value="#{page.registrationTitle}"/> </h2>
		<h:form styleClass="registration">
			<h:panelGrid columnClasses="gauche" cellspacing="10px" columns="2" styleClass="registrationFormleft">
				<h:outputText value="#{page.civility}" />
				<h:selectOneMenu id="civility" value="#{userController.user.civility}" styleClass="select">
					<f:selectItem value="#{userController.mister}" />
					<f:selectItem value="#{userController.madam}" />
					<f:selectItem value="#{userController.miss}" />
				</h:selectOneMenu>

				<h:outputText value="#{page.name}" />
				<h:panelGroup>
					<h:inputText id="name" value="#{userController.user.name}"
						required="true" />
<!--					<h:message for="name" style="color:red;" showDetail="true" />-->
				</h:panelGroup>
			
				<h:outputText value="#{page.first_name}" />
				<h:panelGroup>
					<h:inputText id="firstName" value="#{userController.user.firstName}"
						required="true" />
<!--					<h:message for="firstName" style="color:red;" showDetail="true" />-->
				</h:panelGroup>
			
				<h:outputText value="#{page.date_of_birth}" />
				<h:panelGroup>
					<o:dateChooser id="endDate" value="#{userController.user.birthdate}"
    					pattern="#{page.pattern}"
    					locale="#{page.local}"
    					todayText="#{page.today}"
    					noneText="#{page.none}"
    					required="true"/>
<!--					<h:message for="birthdate" style="color:red;" showDetail="true" />-->
				</h:panelGroup>

				<h:outputText value="#{page.address}" />
				<h:panelGroup>
					<h:inputText id="address" value="#{userController.user.address}"
						required="true" />
<!--					<h:message for="address" style="color:red;" showDetail="true" />-->
				</h:panelGroup>

				<h:outputText value="#{page.zip}" />
				<h:panelGroup>
					<h:inputText id="zipCode" value="#{userController.user.zipCode}"
						required="true" />
<!--					<h:message for="zipCode" style="color:red;" showDetail="true" />-->
				</h:panelGroup>

				<h:outputText value="#{page.city}" />
				<h:panelGroup>
					<h:inputText id="city" value="#{userController.user.city}"
						required="true" />
<!--					<h:message for="city" style="color:red;" showDetail="true" />-->
				</h:panelGroup>

				<h:outputText value="#{page.country}" />
				<h:selectOneMenu value="#{userController.user.country}" styleClass="select" style="width:">
					<f:selectItems value="#{userController.countryList}"/>
				</h:selectOneMenu>
			</h:panelGrid>

			<h:panelGrid columnClasses="gauche" cellspacing="10px" columns="2" styleClass="registrationFormright">

				<h:outputText value="#{page.login}" />
				<h:panelGroup>
					<h:inputText id="login" value="#{userController.user.login}"
						required="true">
						<f:validator validatorId="loginUnicity" />
					</h:inputText>
<!--					<h:message for="login" style="color:red;" showDetail="true" />-->
				</h:panelGroup>
				
				<h:outputText value="#{page.mail}" />
				<h:panelGroup>
					<h:inputText id="mail" value="#{userController.user.mail}" required="true" >
						<o:validateEmail summary="#{page.wrong_email}" detail="#{page.email_detail}"/>
					</h:inputText>
<!--					<h:message for="mail" style="color:red;" showDetail="true" />-->
				</h:panelGroup>

				<h:outputText value="#{page.password}" />
				<h:panelGroup>
					<h:inputSecret id="originalPassword" value="#{userController.user.password}"
						required="true" >
						<f:converter converterId="passwordEncryptor"/>
						</h:inputSecret>
<!--					<h:message for="originalPassword" style="color:red;" showDetail="true" />-->
				</h:panelGroup>
	
				<h:outputText value="#{page.confirm_password}" />
				<h:panelGroup>
					<h:inputSecret id="confirmationPassword" required="true">
						<f:converter converterId="passwordEncryptor"/>
						<o:validateEqual for="originalPassword" summary="#{page.wrong_pwd}" detail="#{page.pwd_detail}"/>
					</h:inputSecret>
<!--					<h:message for="confirmationPassword" style="color:red;" showDetail="true" />-->
				</h:panelGroup>
	
			</h:panelGrid>
			<h:commandButton image="style/images/ok.png" action="#{userController.actionCreateUser}" value="#{page.validate}" styleClass="button"/>
		</h:form>
	</div>
	
		<%-- FOOTER --%>
	<div id="page_footer">
		<%@ include file="common/footer.jspf" %>
	</div>
	
</div>
</body>
</f:view>
</html>