package org.eBide.controller;

import java.util.ArrayList;
import java.util.List;
import java.util.ResourceBundle;

import javax.faces.context.FacesContext;
import javax.faces.model.SelectItem;

import org.eBide.model.Category;
import org.eBide.model.Product;


public class ApplicationController extends SuperController{
	
	//Return the list of the "n" last created Product.
	//"n" depends of the User state: logged or not.
	public List<Product> getLastSells(){
		int n;
		if(getUserController().isLoggedIn()){
			n = 100;
		}
		else{
			n = 10;
		}
		//Call the BackEnd "update" procedure, to close the ended sells.
		productManager.updateProduct();
		return productManager.getLastProductList(n);
	}
	
	//Get the list of all the existing categories
	public List<Category> getCategories(){
		List<Category> list= categoryManager.listCategories();
		return list;
	}
	
	//Return a SelectItem whose value depends of the choosen site language.
	//Used to display the list of categories during a Product creation.
	public List<SelectItem> getCategoriesItemList(){
		FacesContext facesContext = FacesContext.getCurrentInstance();
		ResourceBundle bundle = ResourceBundle.getBundle("org.eBide.message.categories", facesContext.getViewRoot().getLocale());
		ArrayList<SelectItem> l = new ArrayList<SelectItem>();
		List<Category> lc = categoryManager.listCategories();
		for(Category c : lc){
			l.add(new SelectItem(c.getId(), bundle.getString(c.getName())));
		}
		return l;
	}
	
	//Return the name of a Category, in the expected language.
	public String getBundledNameFromCategory(Category c){
		FacesContext facesContext = FacesContext.getCurrentInstance();
		ResourceBundle bundle = ResourceBundle.getBundle("org.eBide.message.categories", facesContext.getViewRoot().getLocale());
		return bundle.getString(c.getName());
	}
	
}
