package org.eBide.controller;

import java.util.Date;
import java.util.ResourceBundle;

import javax.faces.component.html.HtmlCommandButton;
import javax.faces.context.FacesContext;

import org.eBide.model.Bid;
import org.eBide.model.Product;


public class BidController extends SuperController{


	private Bid bid;
	private int amount;


	//Return the best existing Bid on the Product product
	public Bid actionGetBestBid(Product product){
		bid = bidManager.getBestBid(product);
		if(bid==null){
			Bid b = new Bid();
			b.setAmount(0);
			return b;
		}
		else{
			return bid;
		}
	}

	//Return the best Bid of the current user on the Product product
	public Bid actionGetMyBid(Product product){
		
		bid = bidManager.getBestBid(getUserController().getUser(), product);
		if(bid==null){
			Bid b = new Bid();
			b.setAmount(0);
			return b;
		}
		else{
			return bid;
		}
		
	}
	
	//Create a new Bid
	//Return a redirection String
	public String actionCreateBid(){
		bidManager.addBid(amount,getProductController().getProduct(),getUserController().getUser());
		getProductController().setProduct(new Product());
		return "mybid";
	}

	
	//Return a HTML button to create a new Bid on a product
	//If the Sell hasn't begun, the button is disabled.
	public HtmlCommandButton getNewBidButton(){
		HtmlCommandButton b = new HtmlCommandButton();
		Date d = getProductController().getProduct().getStartDate();
		
		if(d.after(new Date())){
			b.setDisabled(true);
		}
		return b;
	}
	
	public void setNewBidButton(HtmlCommandButton b){
		
	}
	
	//Return a string representing the "new bid" button text
	//Depend of: the current language, the Sell's state (started or not)
	public String getNewBidButtonValue(){
		FacesContext facesContext = FacesContext.getCurrentInstance();
		ResourceBundle bundle = ResourceBundle.getBundle("org.eBide.message.newbid", facesContext.getViewRoot().getLocale());
		Date d = getProductController().getProduct().getStartDate();
		
		if(d.after(new Date())){
			return bundle.getString("unstarted");
		}
		else{
			return bundle.getString("bid_up");
		}
	}
	
	
	//Getters and Setters
	
	public int getAmount() {
		return amount;
	}

	public void setAmount(int amount) {
		this.amount = amount;
	}

	public void setBid(Bid bid) {
		this.bid = bid;
	}

	public Bid getBid() {
		return bid;
	}


}
