package org.eBide.controller;

import java.util.Map;

import javax.ejb.EJB;
import javax.faces.context.FacesContext;

import org.eBide.sessions.ManageBidRemote;
import org.eBide.sessions.ManageCategoryRemote;
import org.eBide.sessions.ManageProductRemote;
import org.eBide.sessions.ManageUserRemote;

public abstract class SuperController {
	
	//The remote interfaces...
	
	@EJB
	protected ManageBidRemote bidManager;
	
	@EJB
	protected ManageProductRemote productManager;
	
	@EJB
	protected ManageUserRemote userManager;
	
	@EJB
	protected ManageCategoryRemote categoryManager;
	
	//The getters of the different sub Controller
	
	protected UserController getUserController(){
		FacesContext fc = FacesContext.getCurrentInstance();
		return (UserController)fc.getExternalContext().getSessionMap().get("userController");
	}

	protected ProductController getProductController(){
		FacesContext fc = FacesContext.getCurrentInstance();
		return (ProductController)fc.getExternalContext().getSessionMap().get("productController");
	}
	
	protected BidController getBidController(){
		FacesContext fc = FacesContext.getCurrentInstance();
		return (BidController)fc.getExternalContext().getSessionMap().get("bidController");
	}

	//Get the value of a jsf param
	//Used in several controller methods
	protected String getParam(String param){
		FacesContext context = FacesContext.getCurrentInstance();
		Map<String,String> map = context.getExternalContext().getRequestParameterMap();
		return map.get(param);
	}
	

}
