package org.eBide.validator;

import java.util.ResourceBundle;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.component.UIInput;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

import org.eBide.controller.UserController;

public class AuthenticateChecker implements Validator{
	
	public void validate(FacesContext facesContext,UIComponent component,Object value){
		
		String password  = (String)value;

        UIInput loginInput = (UIInput) facesContext.getViewRoot().findComponent(":identForm:userLogin");
        String login = (String) loginInput.getValue();
		UserController ctrl = (UserController)facesContext.getExternalContext().getSessionMap().get("userController");
		ResourceBundle bundle = ResourceBundle.getBundle("org.eBide.message.message", facesContext.getViewRoot().getLocale());
		
		if(!ctrl.getUserManager().checkLoggin(login, password)){
			FacesMessage facesMessage = new FacesMessage();
			facesMessage.setSeverity(FacesMessage.SEVERITY_ERROR);
			facesMessage.setSummary(bundle.getString("authenticate_error"));
			throw new ValidatorException(facesMessage);
		}
	}
}
