package org.eBide.validator;

import java.util.Date;
import java.util.ResourceBundle;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.component.UIInput;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

public class EndDateCoherency implements Validator{

	public EndDateCoherency() {
	}
	
	public void validate(FacesContext facesContext,UIComponent component,Object value){
		Date endDate  = (Date)value;

        UIInput dateInput = (UIInput) facesContext.getViewRoot().findComponent(":sellEntry:startDate");
        Date startDate = (Date) dateInput.getValue();
        ResourceBundle bundle = ResourceBundle.getBundle("org.eBide.message.message", facesContext.getViewRoot().getLocale());
        
		if(endDate.before(startDate)){
			FacesMessage facesMessage = new FacesMessage();
			facesMessage.setSeverity(FacesMessage.SEVERITY_ERROR);
			facesMessage.setSummary(bundle.getString("end_date_coherency"));
			throw new ValidatorException(facesMessage);
		}
	}
}
