package org.eBide.validator;

import java.util.Date;
import java.util.ResourceBundle;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

import org.eBide.controller.ProductController;

public class EndDateEditionCoherency implements Validator{

	public EndDateEditionCoherency() {
	}
	
	public void validate(FacesContext facesContext,UIComponent component,Object value){
		Date endDate  = (Date)value;
		ResourceBundle bundle = ResourceBundle.getBundle("org.eBide.message.message", facesContext.getViewRoot().getLocale());
		ProductController productctrl = (ProductController)facesContext.getExternalContext().getSessionMap().get("productController");
        Date startDate = productctrl.getProduct().getStartDate();

		if(endDate.before(startDate)){
			FacesMessage facesMessage = new FacesMessage();
			facesMessage.setSeverity(FacesMessage.SEVERITY_ERROR);
			facesMessage.setSummary(bundle.getString("end_date_coherency"));
			throw new ValidatorException(facesMessage);
		}
		else if(endDate.before(new Date())){
			FacesMessage facesMessage = new FacesMessage();
			facesMessage.setSeverity(FacesMessage.SEVERITY_ERROR);
			facesMessage.setSummary(bundle.getString("date_over"));
			throw new ValidatorException(facesMessage);
		}
	}
}
