package org.eBide.validator;

import java.util.ResourceBundle;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

import org.eBide.controller.UserController;


public class LoginUnicity implements Validator{

	public LoginUnicity(){
	}

	public void validate(FacesContext facesContext,UIComponent component,Object value){
		String login  = (String)value;
		UserController ctrl = (UserController)facesContext.getExternalContext().getSessionMap().get("userController");
		ResourceBundle bundle = ResourceBundle.getBundle("org.eBide.message.message", facesContext.getViewRoot().getLocale());
		boolean used = true;
		
		used = ctrl.getUserManager().loginUsed(login);
		
		//Profile edition case: if a logged User change his login for the same login...
		if(ctrl.isLoggedIn()){
			used = used && (!login.equals(ctrl.getUser().getLogin()));
		}
		
		if(used){
			FacesMessage facesMessage = new FacesMessage();
			facesMessage.setSeverity(FacesMessage.SEVERITY_ERROR);
			facesMessage.setSummary(bundle.getString("login_used"));
			throw new ValidatorException(facesMessage);
		}
	}
}
