package org.eBide.validator;

import java.util.ResourceBundle;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

import org.eBide.controller.BidController;
import org.eBide.controller.ProductController;

public class NewBidMinimalAmount implements Validator{

	public NewBidMinimalAmount(){
	}
	
	
	public void validate(FacesContext facesContext,UIComponent component,Object value){
		
		int amount = (Integer)value;
		ResourceBundle bundle = ResourceBundle.getBundle("org.eBide.message.message", facesContext.getViewRoot().getLocale());
		BidController bidctrl = (BidController)facesContext.getExternalContext().getSessionMap().get("bidController");
        int bestBid = bidctrl.getAmount();

		ProductController productctrl = (ProductController)facesContext.getExternalContext().getSessionMap().get("productController");
		long productPrice = productctrl.getProduct().getStartPrice();
		
		if(!(amount > productPrice)){
			FacesMessage facesMessage = new FacesMessage();
			facesMessage.setSeverity(FacesMessage.SEVERITY_ERROR);
			facesMessage.setSummary(bundle.getString("invalid_amount_startprice") + productPrice +" $");
			throw new ValidatorException(facesMessage);
		}
		else if(!(amount > bestBid)){
			FacesMessage facesMessage = new FacesMessage();
			facesMessage.setSeverity(FacesMessage.SEVERITY_ERROR);
			facesMessage.setSummary(bundle.getString("invalid_amount_bid") + bestBid +" $");
			throw new ValidatorException(facesMessage);
		}
			
	}

}
