package org.eBide.validator;

import java.util.ResourceBundle;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import org.eBide.controller.UserController;

public class PasswordChecker implements Validator {

	public PasswordChecker(){
	}

	public void validate(FacesContext facesContext,UIComponent component,Object value){
		String password = (String)value;
		ResourceBundle bundle = ResourceBundle.getBundle("org.eBide.message.message", facesContext.getViewRoot().getLocale());
		//The current controller
		 UserController ctrl = (UserController)facesContext.getExternalContext().getSessionMap().get("userController");
			
		boolean correct = false;
		
		//Is the password ok?
		correct = ctrl.getUserManager().checkLoggin(ctrl.getUser().getLogin(), password);
		if(!correct){
			FacesMessage facesMessage = new FacesMessage();
			facesMessage.setSeverity(FacesMessage.SEVERITY_ERROR);
			facesMessage.setSummary(bundle.getString("invalid_password"));
			throw new ValidatorException(facesMessage);
		}
	}


}
